Author Topic: Freespace Open Issue  (Read 795 times)

0 Members and 1 Guest are viewing this topic.

Offline GD10

  • 22
Hello Freespace Community ! I've recently installed Freespace 2 ( GOG version) and tried to install and run Freespace Open...
So I downloaded Java, ran the package normally ( well almost, since 2 campaigns wouldnt install no matter what) and tried to run the game with the FSOpen launcher. But everytime I try to run it, it returns me an error : alcGetString couldnt be found in fs2_open_3_7_0.exe.

I tried running the exe fs2_open_3_7_0 manually, but the same error persists. ..

How can I fix this ?

My system runs on Windows 10.

Thanks in advance !

 

Offline AdmiralRalwood

  • 211
  • The Cthulhu programmer himself!
    • Skype
    • Steam
    • Twitter
fs2_open_3_7_0.exe
...How did you get a version as outdated as 3.7.0 from the installer? It hasn't been in the download list since 3.7.2 was released, let alone 3.7.4...

Which launcher are you using, wxLauncher or Launcher.exe from the FS2 folder? Do you have OpenAL installed?
Ph'nglui mglw'nafh Codethulhu GitHub wgah'nagl fhtagn.

schrödinbug (noun) - a bug that manifests itself in running software after a programmer notices that the code should never have worked in the first place.

When you gaze long into BMPMAN, BMPMAN also gazes into you.

"I am one of the best FREDders on Earth" -General Battuta

<Aesaar> literary criticism is vladimir putin

<MageKing17> "There's probably a reason the code is the way it is" is a very dangerous line of thought. :P
<MageKing17> Because the "reason" often turns out to be "nobody noticed it was wrong".
(the very next day)
<MageKing17> this ****ing code did it to me again
<MageKing17> "That doesn't really make sense to me, but I'll assume it was being done for a reason."
<MageKing17> **** ME
<MageKing17> THE REASON IS PEOPLE ARE STUPID
<MageKing17> ESPECIALLY ME

<MageKing17> God damn, I do not understand how this is breaking.
<MageKing17> Everything points to "this should work fine", and yet it's clearly not working.
<MjnMixael> 2 hours later... "God damn, how did this ever work at all?!"
(...)
<MageKing17> so
<MageKing17> more than two hours
<MageKing17> but once again we have reached the inevitable conclusion
<MageKing17> How did this code ever work in the first place!?

<@The_E> Welcome to OpenGL, where standards compliance is optional, and error reporting inconsistent

<MageKing17> It was all working perfectly until I actually tried it on an actual mission.

<IronWorks> I am useful for FSO stuff again. This is a red-letter day!
* z64555 erases "Thursday" and rewrites it in red ink

<MageKing17> TIL the entire homing code is held up by shoestrings and duct tape, basically.

 

Offline GD10

  • 22
I got all versions installed by Freespace Open , all with their respective DEBUG exe. So i have  3.7.0, 3.7.2, 3.7.4 SSE, SSE2 and AVX installed, but the error from the wxlauncher specifies version 3.7.0...^

Yes I've installed OpenAL.

 

Offline GD10

  • 22
Oh and something else. When I use the yal_launcher.exe and change the fs2_open.exe, i get these errors in particular :

3.7.0 - alcGetString not found
3.7.2WIN9X.exe - alclsExtensionPresent not found
3.7.4 - alSource3i not found
3.7.4 AVX.exe - alSource3i not found
3.7.4 SSE.exe - alSource3i not found
3.7.4 SSE2.exe - alsource3i not found

Hope this helps

 

Offline jr2

  • The Mail Man
  • 212
  • It's prounounced jayartoo 0x6A7232
    • Steam
Select the 3.7.4 exe in the launcher

 

Offline GD10

  • 22
I run the wxlauncher and select 3.7.4, but the error persists... It cant find entry point alSource3i in DLL fs2_open_3_7_4.exe.

Its beginning to annoy me . SInce I thought it was an outdated/faulty OpenAL and uninstalled/reinstalled it... but still no improvement  :mad:

 

Offline jr2

  • The Mail Man
  • 212
  • It's prounounced jayartoo 0x6A7232
    • Steam
Try running wxlauncher in administrator mode once   (shot in the dark)

If that doesn't work, delete the fs2_open exes and re-download them (jut re-running the installer should work, it will detect what you already downloaded and what's missing)

 

Offline niffiwan

  • 211
  • Eluder Class
You could also try installing OpenALSoft for both wxLauncher & FSO using the details in the thread here:
http://www.hard-light.net/forums/index.php?topic=85640.0
Creating a fs2_open.log | Red Alert Bug = Hex Edit | MediaVPs 2014: Bigger HUD gauges | 32bit libs for 64bit Ubuntu
----
Debian Packages (testing/unstable): Freespace2 | wxLauncher
----
m|m: I think I'm suffering from Stockholm syndrome. Bmpman is starting to make sense and it's actually written reasonably well...

 

Offline GD10

  • 22
Thank you Niffiwan FOR the Tip with the thread. Worked like a charm. Now i Can enjoy fs2 in All its glory.
Thanks everyone !